There’s some pretty serious security bugs fixed by a bunch of patches Microsoft released today. Most of them don’t apply to XP users who’ve applied Service Pack 2, but one of the more serious ones does. Service Pack 2 is a pretty large improvement in security for Windows, so if you haven’t installed it yet, you really oughta. The scariest of the flaws is MS04-038, which applies to Internet Explorer and affects everyone who uses it. If you are still using Internet Explorer, you really should consider switching to a better browser. You really should install the patch right away regardless. If you aren’t running Service Pack 2, there’s a bunch of other patches you should apply right away. Windows update will take care of that for you, and you should patch as soon as you can.

UPDATE: I fixed the link to the patch… :)